# MeshView

Views a Mesh object.

### Synopsis

    #include "petscmesh.h"
    PetscErrorCode  MeshView(Mesh mesh, PetscViewer viewer)

Collective on Mesh

### Input Parameters

| mesh | - the mesh
| viewer | - an optional visualization context

### Notes

The available visualization contexts include

| PETSC_VIEWER_STDOUT_SELF | - standard output (default)
| PETSC_VIEWER_STDOUT_WORLD | - synchronized standard output where only the first processor opens the file. All other processors send their data to the first processor to print.

You can change the format the mesh is printed using the option PetscViewerSetFormat().

The user can open alternative visualization contexts with

| PetscViewerASCIIOpen() | - Outputs mesh to a specified file
| PetscViewerBinaryOpen() | - Outputs mesh in binary to a specified file; corresponding input uses MeshLoad()
| PetscViewerDrawOpen() | - Outputs mesh to an X window display

The user can call PetscViewerSetFormat() to specify the output format of ASCII printed objects (when using PETSC_VIEWER_STDOUT_SELF, PETSC_VIEWER_STDOUT_WORLD and PetscViewerASCIIOpen). Available formats include

| PETSC_VIEWER_ASCII_DEFAULT | - default, prints mesh information
| PETSC_VIEWER_ASCII_VTK | - outputs a VTK file describing the mesh

### See Also

PetscViewerASCIIOpen(), PetscViewerDrawOpen(), PetscViewerBinaryOpen(),
MeshLoad(), PetscViewerCreate()

Level:beginner
Location: src/dm/mesh/mesh.c
Index of all DA routines
Table of Contents for all manual pages
Index of all manual pages